Package org.apache.sysds.runtime.io.hdf5

## Class H5SymbolTableEntry

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.H5SymbolTableEntry

-     public class H5SymbolTableEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `H5SymbolTableEntry​(int linkNameOffset, long objectHeaderAddress, int cacheType, long bTreeAddress, long nameHeapAddress)` |
    `H5SymbolTableEntry​(H5RootObject rootObject)` |
    `H5SymbolTableEntry​(H5RootObject rootObject, long address)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getAddress()` |
    `long` | `getbTreeAddress()` |
    `int` | `getCacheType()` |
    `int` | `getLinkNameOffset()` |
    `long` | `getNameHeapAddress()` |
    `long` | `getObjectHeaderAddress()` |
    `void` | `toBuffer​(H5BufferBuilder bb)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### H5SymbolTableEntry

          public H5SymbolTableEntry​(H5RootObject rootObject)

    - #### H5SymbolTableEntry

          public H5SymbolTableEntry​(int linkNameOffset,
                                    long objectHeaderAddress,
                                    int cacheType,
                                    long bTreeAddress,
                                    long nameHeapAddress)

    - #### H5SymbolTableEntry

          public H5SymbolTableEntry​(H5RootObject rootObject,
                                    long address)

  - ### Method Detail

    - #### toBuffer

          public void toBuffer​(H5BufferBuilder bb)

    - #### getAddress

          public long getAddress()

    - #### getLinkNameOffset

          public int getLinkNameOffset()

    - #### getObjectHeaderAddress

          public long getObjectHeaderAddress()

    - #### getCacheType

          public int getCacheType()

    - #### getbTreeAddress

          public long getbTreeAddress()

    - #### getNameHeapAddress

          public long getNameHeapAddress()